curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/inventory/reservations' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"limit": 20,
"page": 1,
"reservations": [
{
"created_at": null,
"expires_at": null,
"id": null,
"is_expired": null,
"location_id": null,
"product_id": null,
"quantity": null,
"reference_id": null,
"reference_type": null,
"status": null,
"updated_at": null
}
],
"total": 49
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
List reservations
List of reservations
GET
/
api
/
v1
/
inventory
/
reservations
curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/inventory/reservations' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"limit": 20,
"page": 1,
"reservations": [
{
"created_at": null,
"expires_at": null,
"id": null,
"is_expired": null,
"location_id": null,
"product_id": null,
"quantity": null,
"reference_id": null,
"reference_type": null,
"status": null,
"updated_at": null
}
],
"total": 49
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Query parameters
integer (int64)
Page number (1-indexed)
integer (int64)
Items per page (max 1000)
string
Filter by status
string
Filter by product ID
boolean
Include expired reservations
Response
ApiResponse_ReservationListResponse
object
Response for reservation listing.
Show data
Show data
array,null
string,null
boolean
required
Status codes
| Code | Meaning |
|---|---|
200 | List of reservations |
curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/inventory/reservations' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"limit": 20,
"page": 1,
"reservations": [
{
"created_at": null,
"expires_at": null,
"id": null,
"is_expired": null,
"location_id": null,
"product_id": null,
"quantity": null,
"reference_id": null,
"reference_type": null,
"status": null,
"updated_at": null
}
],
"total": 49
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Last modified on August 31, 2026